From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/nbformat/
Date: Tue, 23 Aug 2016 14:25:08 +0000 (UTC) [thread overview]
Message-ID: <1471962284.dbc3894b6326a0d767659d7c3a9ed81b682735a7.soap@gentoo> (raw)
commit: dbc3894b6326a0d767659d7c3a9ed81b682735a7
Author: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Tue Aug 23 13:09:23 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Aug 23 14:24:44 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dbc3894b
dev-python/nbformat: Version bump to 4.1.0, Bump to EAPI=6
Package-Manager: portage-2.2.28
Closes: https://github.com/gentoo/gentoo/pull/2128
Signed-off-by: David Seifert <soap <AT> gentoo.org>
dev-python/nbformat/Manifest | 1 +
dev-python/nbformat/nbformat-4.1.0.ebuild | 60 +++++++++++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/dev-python/nbformat/Manifest b/dev-python/nbformat/Manifest
index f866283..4cc9092 100644
--- a/dev-python/nbformat/Manifest
+++ b/dev-python/nbformat/Manifest
@@ -1 +1,2 @@
DIST nbformat-4.0.1.tar.gz 105767 SHA256 5261c957589b9dfcd387c338d59375162ba9ca82c69e378961a1f4e641285db5 SHA512 f73e8cffc61825aa8b7b0ef3b842cba51baf2cdf0c5d0035e2e7cb51f71c6c819f09201367a3b342c2736492dee1e78c519961aaea8f2cc4b5e69a1545085d2a WHIRLPOOL 9b08003c456e00c529b7bf8e786d57a583e53e5a1e7e9eb4c3cc492c5b1d60e76579c9102e6c56749d546a9a124d475687d4ec1d71e0f3634698d5e30499db93
+DIST nbformat-4.1.0.tar.gz 108264 SHA256 dbf6c0ed0cb7c5a7184536368f1dd1ada2d48fd6f016e0f9e9b69236e28c0857 SHA512 606d8aa786fdbe8fe6d12d9a13886a49043b096a86ad180556f65f226d5031c98f6c80b4319de09292f2f17ed9e3a5038828c94a7306ed2abd78976e30fc08d4 WHIRLPOOL f01d3431fb007b12bbd892181781d87a700c01a28f1bf5308f4ae0f5c5dd63c768e926964848a3a21b6bd34e8d6d2b6c3d962b4dee1f034a387e45d2c3741a2e
diff --git a/dev-python/nbformat/nbformat-4.1.0.ebuild b/dev-python/nbformat/nbformat-4.1.0.ebuild
new file mode 100644
index 0000000..32fd6f3
--- /dev/null
+++ b/dev-python/nbformat/nbformat-4.1.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+PYTHON_REQ_USE='sqlite'
+
+inherit distutils-r1
+
+DESCRIPTION="Reference implementation of the Jupyter Notebook format"
+HOMEPAGE="http://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND="
+ >=dev-python/jsonschema-2.4.0[${PYTHON_USEDEP}]
+ dev-python/ipython_genutils[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ dev-python/jupyter_core[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ doc? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/numpydoc[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )
+ "
+
+python_prepare_all() {
+ # Prevent un-needed download during build
+ if use doc; then
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/conf.py || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ distutils_install_for_testing
+ cd "${TEST_DIR}"/lib || die
+ nosetests --with-coverage --cover-package=nbformat nbformat || die
+}
+
+python_install_all() {
+ use doc && HTML_DOCS=( docs/_build/html/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2016-08-23 14:25 UTC|newest]
Thread overview: 103+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-08-23 14:25 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-30 15:11 [gentoo-commits] repo/gentoo:master commit in: dev-python/nbformat/ Sam James
2024-07-01 4:46 Arthur Zamarin
2024-05-14 15:58 Michał Górny
2024-04-23 5:25 Viorel Munteanu
2024-04-23 5:25 Viorel Munteanu
2024-04-20 9:51 Michał Górny
2024-04-20 9:48 Michał Górny
2024-04-04 18:09 Michał Górny
2024-04-04 10:12 Yixun Lan
2024-04-03 15:33 Arthur Zamarin
2024-04-02 16:07 Arthur Zamarin
2024-04-02 16:07 Arthur Zamarin
2024-04-02 16:07 Arthur Zamarin
2024-04-02 16:07 Arthur Zamarin
2024-04-02 16:07 Arthur Zamarin
2024-04-02 13:56 Michał Górny
2024-03-16 8:17 Michał Górny
2024-03-12 17:51 Michał Górny
2024-02-03 10:41 Michał Górny
2023-11-20 15:02 Michał Górny
2023-11-10 5:47 Viorel Munteanu
2023-08-11 19:08 Michał Górny
2023-08-11 19:02 Arthur Zamarin
2023-08-01 3:01 Michał Górny
2023-07-11 5:52 Michał Górny
2023-07-10 1:38 Michał Górny
2023-06-01 4:07 Michał Górny
2023-05-06 10:22 Michał Górny
2023-05-06 10:12 Arthur Zamarin
2023-03-21 20:31 Michał Górny
2023-03-02 5:13 Michał Górny
2023-02-13 6:07 Michał Górny
2023-02-12 20:24 Jakov Smolić
2023-01-13 12:10 Andrew Ammerlaan
2023-01-13 11:43 Arthur Zamarin
2023-01-13 7:09 Michał Górny
2023-01-11 20:34 Michał Górny
2022-10-27 9:48 Andrew Ammerlaan
2022-05-15 10:41 Michał Górny
2022-05-15 8:19 Jakov Smolić
2022-05-04 8:19 Michał Górny
2022-04-15 16:41 Arthur Zamarin
2022-04-15 16:40 Arthur Zamarin
2022-04-10 16:26 Sam James
2022-04-05 7:53 Michał Górny
2022-03-20 18:36 Michał Górny
2022-03-20 18:34 Sam James
2022-03-14 17:04 Michał Górny
2022-01-29 15:43 Michał Górny
2021-11-18 8:10 Sam James
2021-11-18 5:36 Sam James
2021-11-14 20:35 Sam James
2021-11-14 3:43 Sam James
2021-09-26 17:52 Sam James
2021-09-14 5:17 Sam James
2021-09-06 0:18 Sam James
2021-08-10 5:00 Sam James
2021-07-12 6:41 Sam James
2021-07-11 10:14 Georgy Yakovlev
2021-07-01 14:45 Michał Górny
2021-06-20 1:45 Sam James
2021-05-06 11:12 Michał Górny
2021-05-06 10:06 Sam James
2021-04-02 8:51 Michał Górny
2021-02-25 19:36 Michał Górny
2021-02-25 18:58 Sam James
2021-02-24 21:43 Michał Górny
2021-01-22 9:55 Michał Górny
2021-01-15 7:35 Michał Górny
2021-01-14 21:30 Michał Górny
2021-01-14 7:21 Michał Górny
2021-01-05 23:26 Michał Górny
2020-11-18 6:53 Agostino Sarubbo
2020-11-17 19:17 Agostino Sarubbo
2020-11-15 5:19 Sam James
2020-10-11 17:48 Sam James
2020-10-11 14:49 Michał Górny
2020-08-03 3:11 Sam James
2020-07-31 0:50 Sam James
2020-07-07 20:01 Michał Górny
2020-06-10 8:11 Michał Górny
2020-06-10 7:32 Michał Górny
2020-06-09 8:19 Michał Górny
2020-03-28 9:20 Michał Górny
2020-02-03 15:24 Agostino Sarubbo
2020-02-03 12:38 Agostino Sarubbo
2019-05-04 22:58 Virgil Dupras
2019-03-10 22:38 Patrice Clement
2018-05-16 15:58 Andreas Sturmlechner
2018-05-16 12:28 Agostino Sarubbo
2018-04-22 1:35 Thomas Deutschmann
2018-03-12 2:13 Matt Turner
2018-03-12 0:51 Matt Turner
2017-11-17 18:47 David Seifert
2017-06-23 19:26 Alexis Ballier
2017-03-12 12:31 Zac Medico
2017-02-25 14:18 David Seifert
2017-01-04 10:15 David Seifert
2016-10-31 8:27 David Seifert
2016-08-30 19:07 David Seifert
2015-11-28 17:33 Justin Lecher
2015-11-28 17:33 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1471962284.dbc3894b6326a0d767659d7c3a9ed81b682735a7.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox